Attach a node to a VPC

Authentication

AuthorizationBearer

IBEE platform API token. Production tokens start with ibee_prod_key_; development tokens start with ibee_dev_key_. Use a token only with its matching gateway environment.

Path parameters

vpc_idstringRequired
VPC ID.

Query parameters

workspace_idstringRequiredformat: "^[1-9][0-9]*$">=1 character

The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected.

Request

This endpoint expects an object.
vm_idstringRequired
subnet_idstringRequired
connectivityenumOptionalDefaults to private
reserved_public_ip_idstring or nullOptional

Response

Node attached successfully.
allocation_idstring
vpc_idstring
subnet_idstring
vm_idstring
connectivityenum
private_ipstring
prefix_lengthinteger
subnet_maskstring
gatewaystring
dnslist of strings
statusstring
public_ip_idstring or nullOptional
public_ipstring or nullOptional
nat_gateway_idstring or nullOptional
nat_public_ipstring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error